[Previous] [Next] [Contents]

## `TYP::IsSkewPart` -- tests whether the argument is a skew partition

#### Call(s)

`TYP::IsSkewPart(expr)`

#### Parameters

`expr` | - | any expression

#### Introduction

The `TYP::IsSkewPart` function tests whether `expr` is a skew partition that is a a list with two components `l1` and `l2`, `l1` being the exterior shape, `l2` the interior shape. The diagram of bixes needs not to be connected, the condition being that the diagram of `l2` must be included into the one of `l1`.

#### Example 1

    >> muEC::TYP::IsSkewPart( [[3,1,1], [2,1]] );

                                       TRUE

    >> muEC::TYP::IsSkewPart( [[4,2], [3,3]] );

                                       FALSE

#### Related Functions

`IsPart`, `IsSkewDiag`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package